import java.io.File;
import java.io.FileNotFoundException;
import java.util.ArrayList;
import java.util.Scanner;

public class Reader {


    public static ArrayList<User> read (String url) {
        try {
            File file = new File(url) ;
            Scanner scanner = new Scanner ( file );
            ArrayList<User> users = new ArrayList<>();
            // Read data line by line
            scanner . nextLine () ;
            while ( scanner . hasNextLine () ) {
                String line = scanner . nextLine () ;
                String[] usersData = line.split(",");
                User u = new User(usersData[0], Integer.parseInt(usersData[1]), usersData[2], usersData[3]);
                users.add(u);
            }

            scanner . close () ;
            return users;
        } catch ( FileNotFoundException e ) {
            System . out . println (" File not found : " + e. getMessage ()
            );
            return null;
        }
    }
}
